Package nl.tudelft.simulation.examples.dsol.terminal

# Class Terminal.Output

java.lang.Object
nl.tudelft.simulation.examples.dsol.terminal.Terminal.Output

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  Terminal

    public static class Terminal.Output
    extends Object
    implements Serializable

See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Output​(int numQC, int numAGV, int rep, double delayHours, double costs, double ready, int nrCont)` | /**

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`double` | `getCosts()` |
`double` | `getDelayHours()` |
`int` | `getNrCont()` |
`int` | `getNumAGV()` |
`int` | `getNumQC()` |
`double` | `getReady()` |
`int` | `getRep()` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Output

public Output​(int numQC, int numAGV, int rep, double delayHours, double costs, double ready, int nrCont)
/**

Parameters:
  `numQC` - int; qc
  `numAGV` - int; agv
  `rep` - int; replication nr
  `delayHours` - double; delay in hours
  `costs` - double; costs in Euros
  `ready` - double; time when ready in hrs
  `nrCont` - int; nr containers handled

## Method Details

### getNumQC

public final int getNumQC()

Returns:
  numQC

### getNumAGV

public final int getNumAGV()

Returns:
  numAGV

### getRep

public final int getRep()

Returns:
  rep

### getDelayHours

public final double getDelayHours()

Returns:
  delayHours

### getCosts

public final double getCosts()

Returns:
  costs

### getReady

public final double getReady()

Returns:
  ready

### getNrCont

public final int getNrCont()

Returns:
  nrCont